Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1415950 - Failed to enable SMBus PCI device [NEEDINFO]
Summary: Failed to enable SMBus PCI device
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 25
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-24 08:03 UTC by Sean Fu
Modified: 2019-01-09 12:54 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-04-28 17:12:15 UTC
Type: Bug
jforbes: needinfo?


Attachments (Terms of Use)

Description Sean Fu 2017-01-24 08:03:13 UTC
Description of problem:
My laptop is DELL E5450. When I used Fedora23, everything is fine. After I upgrade to Fedora24/25, it showed every time that failed to enable SMBus PCI device during the boot. I found kernel modules are loaded,but kernel driver is not in use.



Version-Release number of selected component (if applicable):
The version of kernel is the latest, which is 4.9.4-201.fc25.x86_64

How reproducible:
When I boot the system, it shows every time.


Actual results:
Failed to enable SMBus PCI device (-16)

Expected results:
no warnings

Additional info:
#lspci
00:1f.3 SMBus: Intel Corporation Wildcat Point-LP SMBus Controller (rev 03)
	Subsystem: Dell Device 062b
	Flags: medium devsel, IRQ 255
	Memory at f7240000 (64-bit, non-prefetchable) [size=256]
	I/O ports at f040 [size=32]
	Kernel modules: i2c_i801

02:00.0 Network controller: Intel Corporation Wireless 7265 (rev 48)
	Subsystem: Intel Corporation Dual Band Wireless-AC 7265
	Flags: bus master, fast devsel, latency 0, IRQ 50
	Memory at f7000000 (64-bit, non-prefetchable) [size=8K]
	Capabilities: <access denied>
	Kernel driver in use: iwlwifi
	Kernel modules: iwlwifi

#dmesg --syslog

[    3.160484] i801_smbus 0000:00:1f.3: PCI INT C: failed to register GSI
[    3.160487] i801_smbus 0000:00:1f.3: Failed to enable SMBus PCI device (-16)
[    3.160539] i801_smbus: probe of 0000:00:1f.3 failed with error -16

Comment 1 Justin M. Forbes 2017-04-11 14:53:03 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 25 kernel bugs.

Fedora 25 has now been rebased to 4.10.9-200.fc25.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 26, and are still experiencing this issue, please change the version to Fedora 26.

If you experience different issues, please open a new bug report for those.

Comment 2 Justin M. Forbes 2017-04-28 17:12:15 UTC
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 2 weeks. If you are still experiencing this issue, please reopen and attach the 
relevant data from the latest kernel you are running and any data that might have been requested previously.


Note You need to log in before you can comment on or make changes to this bug.